import React from 'react'
import { EditKlinkDetails, KlinkDetails, ViewKlinkDetails } from '../../../common/types'
import KlinkViewer from '../KlinkViewer'
import KlinkEditor from '../KlinkEditor'

type Props = {
  data: ViewKlinkDetails | EditKlinkDetails,
  editKlink: (klinkRequest: KlinkDetails) => Promise<void>,
  close(): void
}

const KlinkDetailsView = ({ data, editKlink, close }: Props) => {

  if (!data.editable) {
    return (
      <KlinkViewer
        title={data.title}
        data={data.data}
      />
    )
  }

  return (
    <KlinkEditor
      title={data.title}
      data={data.data}
      sharedWith={data.sharedWith}
      notifications={data.notifications}
      editKlink={editKlink}
      close={close}
    />
  )
}

export default KlinkDetailsView
